> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Dotfiles Configuration

> Sets the dotfiles configuration for a user.

`Unary` · [`Users`](https://ona.com/docs/api-reference/generated/user/overview)

Sets the dotfiles configuration for a user.

Use this method to:

* Configure user dotfiles
* Update dotfiles settings

### Examples

* Set dotfiles configuration:

  Sets the dotfiles configuration for the current user.

  ```yaml theme={null}
  {
    "repository": "https://github.com/gitpod-io/dotfiles",
  }
  ```

* Remove dotfiles:

  Removes the dotfiles for the current user.

  ```yaml theme={null}
  {}
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.UserService/SetDotfilesConfiguration
```

Send a Bearer token as described in [Authentication](https://ona.com/docs/api-reference.md#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

```bash cURL theme={null}
export ONA_HOST=https://app.ona.com
export ONA_API_KEY=<your-token>

curl --request POST \
  --url "$ONA_HOST/api/gitpod.v1.UserService/SetDotfilesConfiguration" \
  --header "Authorization: Bearer $ONA_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
  "repository": "<repository>"
}'
```

```python Python theme={null}
import gitpod.v1.user_pb2 as user_pb2
from ona_sdk import create_client_from_env

ona = create_client_from_env()
request = user_pb2.SetDotfilesConfigurationRequest(
    repository="<repository>",
)
response = ona.services.user.set_dotfiles_configuration(request)
print(response)
```

```typescript TypeScript theme={null}
import { create } from "@bufbuild/protobuf";
import { createClientFromEnv } from "@gitpod/sdk";
import { SetDotfilesConfigurationRequestSchema } from "@gitpod/sdk/gitpod/v1/user_pb";

async function main() {
  const ona = createClientFromEnv();
  const request = create(SetDotfilesConfigurationRequestSchema, {
    repository: "<repository>",
  });
  const response = await ona.services.user.setDotfilesConfiguration(request);
  console.log(response);
}

main().catch(console.error);
```

```go Go theme={null}
package main

import (
	"context"
	"fmt"
	"log"

	"connectrpc.com/connect"
	"github.com/gitpod-io/gitpod-sdk-go/sdk"
	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
)

func main() {
	ona, err := sdk.NewFromEnv()
	if err != nil {
		log.Fatal(err)
	}

	request := connect.NewRequest(&gitpodpb.SetDotfilesConfigurationRequest{
		Repository: "<repository>",
	})
	response, err := ona.Services.User.SetDotfilesConfiguration(context.Background(), request)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Println(response.Msg)
}
```

```json Request body theme={null}
{
  "repository": "<repository>"
}
```

## Request

`gitpod.v1.SetDotfilesConfigurationRequest`

| Field | Type | Required | Description |
| - | - | - | - |
| `repository` | string | No | Constraints: `ignore=1, string.max_len=255, string.uri=true`. |

## Response

`gitpod.v1.SetDotfilesConfigurationResponse`

This message has no fields.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.